create    procedure [C6StagingPeriodico].[RP_ST_DistribuzionePtfModello_Tattici_AssetClass] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_DistribuzionePtfModello_Tattici',
		GETDATE(),
		'Elaborazione periodica'
	)
	--drop table c6staging.RP_Progetto
	truncate table [C6StagingPeriodico].[RP_DistribuzionePtfModello_Tattici_AssetClass]
	SELECT [chiavePtfMod], Asset, SUM([percentuale]) AS Totale_Percentuale
into #asset_no_desc
FROM CONSUNI.ConsulenzaUnica.dbo.[DistribuzionePtfModello_Tattici] ptf
GROUP BY [chiavePtfMod],asset
order by chiaveptfmod
	insert into [C6StagingPeriodico].[RP_DistribuzionePtfModello_Tattici_AssetClass] (
	   [chiavePtfMod]
	   ,ordinamento
      ,[asset]
	  ,[descrizione]
      ,[percentuale] )
	  select de.[chiavePtfMod],rep.ordinamento_asset,de.[Asset],ass.descrizione,de.Totale_Percentuale
	  from #asset_no_desc de
	  left join [CONSUNI].[CatalogoProdotti].dbo.AssetClass  ass
	  on de.Asset=ass.asset
	  left join  [CONSUNI].[consulenzaUnica].dbo.REP_ASSET_1_E_2_ORDINATE   rep
	  on de.asset=rep.codice_asset_class_ingresso
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_DistribuzionePtfModello_Tattici' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_DistribuzionePtfModello_Tattici'
		)
end